﻿@model eCommerce.Services.Model.USER
@{
    ViewBag.Title = "Operadores";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Mi Perfil</h1>
    <ol class="breadcrumb">
        <li class="active">Edita tu información personal desde aquí.</li>
    </ol>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("OperatorUpdate", "Operators", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off" }))
                    {
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Nombre y Apellido</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Fullname" value="@Model.Fullname" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Email</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Email" value="@Model.Email" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Username</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Username" value="@Model.Username" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Password</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Password" value="@Model.Password" />
                            </div>
                        </div>
                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave">Grabar</button>
                            <button type="button" class="btn btn-default" onclick="window.location.href = '/Operators'">Cancelar</button>
                            @Html.HiddenFor(model => model.User_Id)
                        </div>
                    }
                </div>
            </div>
            <div class="col-lg-12">
                <div class="example">
                    <h4 class="example-title">Roles asociados a mi usuario</h4>
                    <div class="form-horizontal">
                        <div class="col-sm-9" id="RolesTable">
                            @Html.Partial("_UserRoleList", Model.ROLES)
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@section Scripts {

    <script type="text/javascript">

            (function () {
                $('.form-horizontal').formValidation({
                    framework: "bootstrap",
                    button: {
                        selector: '#btnSave',
                        disabled: 'disabled'
                    },
                    icon: null,
                    fields: {
                        Fullname: {
                            validators: {
                                notEmpty: {
                                    message: 'El campo Nombre y Apellido es requerido.'
                                }
                            }
                        },
                        Email: {
                            validators: {
                                notEmpty: {
                                    message: 'El campo Email es requerido.'
                                },
                                emailAddress: {
                                    message: 'El email ingresado es inválido.'
                                }
                            }
                        },
                        Username: {
                            validators: {
                                notEmpty: {
                                    message: 'El campo Username es requerido.'
                                }
                            }
                        },
                        Password: {
                            validators: {
                                notEmpty: {
                                    message: 'El campo Password es requerido.'
                                }
                            }
                        }
                    }
                });
            })();


            $(document).ready(function ()
            {
                $('#AddRole').click(function ()
                {
                    var _userId = $('#User_Id').val();
                    var _id = $('#RoleId').val();


                    var _parameters = { userId: _userId, id: _id };
                    $.ajax({
                        url: "/Operators/AddUserRole",
                        type: "GET",
                        data: _parameters,
                        success: function (data, textStatus, jqXHR)
                        {
                            $('#RolesTable').html(data);
                            setActionsDialogs();
                        }
                    });
                });
            });

        </script>
}

